// Copyright (C) 2017 - Michael Baudin

// <-- ENGLISH IMPOSED -->

// http://fr.mathworks.com/help/stats/glmfit.html
// http://eric.univ-lyon2.fr/~ricco/cours/slides/regression_logistique.pdf

age=[50,49,46,49,62,35,67,65,47,58,57,59,44,41,54,52,57,50,44,49];
taux=[126,126,144,139,154,156,160,140,143,165,115,145,175,153,152,169,168,158,170,171];
angine=[1,0,0,0,1,1,0,0,0,0,1,0,0,0,0,0,1,0,0,0];
coeur=[1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
X=[age',taux',angine'];
y=coeur';
//
b=[0;0;0;0];
ll=glmlikelihood(b,X,y);
assert_checkalmostequal(ll,-13.862944,1.e-6);
//
b=[10;-1;0;2];
ll=glmlikelihood(b,X,y);
assert_checkalmostequal(ll,-225,1.e-6);
//
b=[100;0;0;0];
ll=glmlikelihood(b,X,y);
assert_checkalmostequal(ll,-%inf,1.e-6);
//
b=[14.494;-0.1256;-0.06356;1.779];
ll=glmlikelihood(b,X,y);
// Ref : Ricco, page 14 : 16.618/2=8.309
assert_checkalmostequal(ll,-8.309,1.e-3);
